<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb60589f061d3b83_84037793/operators/FlowchartOperator_lb60589f061d3b83_84037793.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb60589f061d3b83_84037793/helpers/TypeOperations_lb60589f061d3b83_84037793.php';

class GetSubstringOperator_lb60589f061d3b83_84037793 extends FlowchartOperator_lb60589f061d3b83_84037793
{

    protected $string = '';
    protected $start = 0;
    protected $length;
    protected $result = '';

    public function __construct($params)
    {
        parent::__construct($params);
    }

    public function setInDataPorts($params)
    {
        parent::setInDataPorts($params);
        if(!empty($this->inDataPorts['string']['value'])) {
            $this->string = $this->inDataPorts['string']['value'];
        }
        if(!empty($this->inDataPorts['start']['value'])) {
            $this->start = $this->inDataPorts['start']['value'];
        }
        if(!empty($this->inDataPorts['length']['value'])) {
            $this->length = $this->inDataPorts['length']['value'];
        }
    }

    public function setInDataPortById($id, $value)
    {
        if ($id == 'string') {
            $this->string = $value;
        } else if ($id == 'start') {
            $this->start = $value;
        } else if ($id == 'length') {
            $this->length = $value;
        }
    }

    public function process($params = array())
    {
        if (!TypeOperations_lb60589f061d3b83_84037793::isString($this->string)) {
            return;
        }
        if (!TypeOperations_lb60589f061d3b83_84037793::isNumeric($this->start)) {
            $this->start = 0;
        }
        if (TypeOperations_lb60589f061d3b83_84037793::isNumeric($this->length)) {
            $this->result = mb_substr($this->string, $this->start, $this->length);
        } else {
            $this->result = mb_substr($this->string, $this->start);
        }
    }

    public function getOutDataByPortId($portId)
    {
        return $this->result;
    }

}
